document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_10600 | ---
+++
@@ -29,7 +29,7 @@
# Install system packages
# - build-essentiall needed for uwsgi
# - git needed for setuptools_scm
-apt-get -y install --no-install-recommends git build-essential
+apt-get -y install --no-install-recommends git build-essential redis-server
# Delete cached files we don't need anymore:
a... | bash |
d_bash_10601 | ---
+++
@@ -23,5 +23,7 @@
cd /etc/ansible
for i in playbooks/deploy*.yml; do
+ logger "Started run of $i in ansible_run_all.sh"
ansible-playbook -D $i $*
+ logger "Finished run of $i in ansible_run_all.sh"
done | bash |
d_bash_10602 | ---
+++
@@ -6,15 +6,13 @@
JVM=java
TEST=org.junit.runner.JUnitCore
-
-# Loop over all data structure directories and run their tests
+testSuffix="Test"
for dir in $(ls -d */); do
dirFile=${dir%%/*} # Remove end slash from dir
echo "======================="
echo "*** Testing: $dirFile ***"
echo "===... | bash |
d_bash_10603 | ---
+++
@@ -6,8 +6,8 @@
cd /qemu
curl --retry 5 -LO https://github.com/qemu/qemu/raw/master/pc-bios/s390-ccw.img
-curl --retry 5 -LO http://ftp.debian.org/debian/dists/testing/main/installer-s390x/20210731/images/generic/kernel.debian
-curl --retry 5 -LO http://ftp.debian.org/debian/dists/testing/main/installer-s... | bash |
d_bash_10604 | ---
+++
@@ -1,4 +1,4 @@
#! /usr/bin/env bash
-find rnftools -name "*.py" -type f | xargs grep TODO
-find rnftools -name "*.py" -type f | xargs grep FIXME
+find rnftools -name "*.py" -type f | xargs grep -ni --color=auto TODO
+ | bash |
d_bash_10605 | ---
+++
@@ -1,4 +1,4 @@
#!/usr/bin/env sh
keyfile=$(sed 's/\.sh$//' <<< $0)
-pass show "personal/ssh/$(basename $keyfile)" | head -n 1
+pass show "ssh/$(basename $keyfile)" | head -n 1 | bash |
d_bash_10606 | ---
+++
@@ -1,7 +1,10 @@
#!/bin/bash
# Install the VirtualBox Guest Additions from an ISO.
-yum -y install gcc kernel-devel-`uname -r`
+yum -y install gcc make kernel-devel-`uname -r`
+
+KERN_DIR=/usr/src/kernels/`uname -r`
+export KERN_DIR
VBOX_VERSION=$(cat /tmp/.vbox_version)
cd /tmp | bash |
d_bash_10607 | ---
+++
@@ -16,5 +16,8 @@
program=$1
shift
-$program -S -comparable -reverse $1 | cmp -s - $2
-
+if ! $program -S -comparable -reverse $1 | cmp -s - $2
+then
+ $program -S -comparable -reverse $1 | diff - $2
+ exit 1
+fi | bash |
d_bash_10608 | ---
+++
@@ -11,6 +11,8 @@
echo "Timed out waiting for nodes to come up!"
exit 1
fi
+ pods=`oc get pods`
+ echo "PODS: $pods"
num_running=`oc get pods | grep -c Running`
if [ "$num_running" -eq "$EXPECTED_PODS" ]; then
echo "ALL UP!" | bash |
d_bash_10609 | ---
+++
@@ -2,6 +2,7 @@
cdpath=(
$HOME/code \
$HOME/code/work/current \
+ $HOME/code/work/current-two \
$HOME/code/work \
$HOME/code/vim \
$HOME/code/alfred \ | bash |
d_bash_10610 | ---
+++
@@ -1,28 +1,34 @@
#!/bin/bash
set -e # exit with nonzero exit code if anything fails
+set -x
OUTPUTDIR='build'
GITHUB_USERNAME='Travis CI'
GITHUB_EMAIL='luca@lanziani.com'
GITHUB_MESSAGE='Travis deploy'
GITHUB_REF='github.com:Roma-JS/roma-js.github.io.git'
-# go to the out directory and create a *new... | bash |
d_bash_10611 | ---
+++
@@ -3,10 +3,10 @@
echo "installing React $REACT_VERSION"
-npm install
-
rm -rf node_modules/.bin/npm node_modules/.bin/npm.cmd node_modules/react node_modules/react-dom node_modules/react-addons-test-utils node_modules/react-test-renderer
npm prune
+
+npm install
npm install --no-save react@$REACT_V... | bash |
d_bash_10612 | ---
+++
@@ -32,7 +32,7 @@
brew cask install sourcetree
brew cask install kitematic
brew cask install steam
-brew cask install aluxian-messenger
+brew cask install caprine
brew cask install skype # Meh.
brew cask install typora
brew cask install duet | bash |
d_bash_10613 | ---
+++
@@ -25,11 +25,11 @@
test_launch_ipfs_daemon
-test_expect_failure "'ipfs mount' fails when no mount dir" '
+test_expect_failure "'ipfs mount' fails when no mount dir (issue #341)" '
test_must_fail ipfs mount >actual
'
-test_expect_failure "'ipfs mount' looks good when it fails" '
+test_expect_failure... | bash |
d_bash_10614 | ---
+++
@@ -4,6 +4,8 @@
make test
echo "Running aws tests"
+
+pip install awscli
# Use the secrets in the travis environment to setup the aws creds for the aws command:
echo -e "${AWS_ACCESS_KEY_ID}\n${AWS_SECRET_ACCESS_KEY}\n" \ | bash |
d_bash_10615 | ---
+++
@@ -22,16 +22,3 @@
${CCP_CLI?} create -f ${DIR?}/fluentd-configmap.yaml
${CCP_CLI?} create -f ${DIR?}/fluentd-daemonset.yaml
${CCP_CLI?} create -f ${DIR?}/kibana-deployment.yaml
-
-echo_info "Sleeping until EFK stack is ready.."
-sleep 45
-
-# Replicate shards to all hosts
-URL='http://localhost:9200'
-${C... | bash |
d_bash_10616 | ---
+++
@@ -5,6 +5,7 @@
sudo gpasswd -a $USER audio
sudo gpasswd -a $USER realtime
sudo gpasswd -a $USER docker
+sudo gpasswd -a $USER uucp
balooctl stop
balooctl disable | bash |
d_bash_10617 | ---
+++
@@ -6,7 +6,7 @@
then
conda install astropy mock numpy sphinx pytz lxml html5lib beautifulsoup4
else
- if ! python --version | grep -q 2.6
+ if python --version 2>&1 | ! grep -q 2.6
then pip install astropy
fi
pip install mock numpy sphinx pytz | bash |
d_bash_10618 | ---
+++
@@ -1,7 +1,13 @@
#!/bin/sh
rst2pdf manual.rst --custom-cover=assets/cover.tmpl -o output/pdf/manual.pdf -s assets/manual.style -b1
-rst2man rst2pdf.rst output/rst2pdf.1
+
+# Determine correct name for rst2man
+RST2MAN="rst2man"
+if [ -x "$(command -v rst2man.py)" ]; then
+ RST2MAN="rst2man.py"
+fi
+$RS... | bash |
d_bash_10619 | ---
+++
@@ -1,12 +1,15 @@
#!/bin/sh
+# Installs the Visual Studio Code (Flatpak) with favorite packages
flatpak remote-add --if-not-exists flathub \
https://dl.flathub.org/repo/flathub.flatpakrepo && flatpak install flathub \
com.visualstudio.code.oss && flatpak run com.visualstudio.code.oss \
--install-extensio... | bash |
d_bash_10620 | ---
+++
@@ -33,7 +33,7 @@
# No line numbers on macOS in release builds (even though the ticket is closed)
# on 2020nov27, so we can't check for those:
# <https://github.com/rust-lang/rust/issues/24346>
-grep "riff::main" "$STDERR"
+grep "riff::main" "$STDERR" || ( cat "$STDERR" ; exit 1 )
echo
echo Crash repor... | bash |
d_bash_10621 | ---
+++
@@ -34,6 +34,8 @@
# 2020-11-18
git-switch-master-to-main() {
cat <<END
+
+FIRST TIME
1. git branch -m master main
2. git push -u origin main
3. git symbolic-ref refs/remotes/origin/HEAD refs/remotes/origin/main
@@ -41,6 +43,11 @@
a) github: switch default branch
b) bare repo: git symbolic-ref ... | bash |
d_bash_10622 | ---
+++
@@ -7,7 +7,7 @@
tmp_dir=$2
version=$3
-git clone git@github.com:wildfly-swarm/wildfly-swarm-javadocs.git $tmp_dir
+git clone git@github.com:thorntail/javadocs.git $tmp_dir
cd $tmp_dir
git checkout gh-pages
git pull | bash |
d_bash_10623 | ---
+++
@@ -19,7 +19,7 @@
#Start ROS core for ros serial
roscore &
-sleep 1
+sleep 10
rosrun rosserial_python serial_node.py _baud:=9600 $arduino_port &
sleep 1
| bash |
d_bash_10624 | ---
+++
@@ -1,5 +1,5 @@
#! /bin/bash
python init_database.py
-python skin_core_scanner.py --epsilon 0.7 --suppress_output
-python skin_core_scanner.py --epsilon 0.5 --suppress_output
-python skin_core_scanner.py --epsilon 0.1 --suppress_output
+python skin_core_scanner.py --epsilon 0.7 --suppress_output --no_git
+... | bash |
d_bash_10625 | ---
+++
@@ -11,8 +11,7 @@
# StumpWM package, use the second line.
#stump_pid="$(pgrep -a -n stumpwm)"
-stump_pid="$(pgrep -anf -U "$(id -u)" "sbcl .*stumpwm/load.lisp")"
-
+stump_pid="$(pgrep -anf -U "$(id -u)" "sbcl .*(stumpwm:stumpwm)")"
# while stumpwm is still running
while kill -0 "$stump_pid" > /dev/nul... | bash |
d_bash_10626 | ---
+++
@@ -2,3 +2,6 @@
# Drop all action-related DB collections
mongo --eval 'db.action_d_b.drop() ; db.action_type_d_b.drop() ; db.action_execution_d_b.drop() ; db.live_action_d_b.drop()' st2
+
+# Note: The actionrunner controller must be restarted after using this script.
+# (Restarting the actionrunner ... | bash |
d_bash_10627 | ---
+++
@@ -17,11 +17,10 @@
test -f Cargo.lock || cargo generate-lockfile
- # TODO Update this to build the artifacts that matter to you
cross rustc --bin signify --target $TARGET --release -- -C lto
- # TODO Update this to package the right artifacts
cp target/$TARGET/release/signify $stag... | bash |
d_bash_10628 | ---
+++
@@ -25,15 +25,11 @@
function install_erlang() {
output_section "Installing Erlang ${erlang_version}"
- mkdir -p /app/.platform_tools
+
local absolute_erlang_path="/app/.platform_tools/erlang"
+ mkdir -p $absolute_erlang_path
- rm -rf ${erlang_build_path}
- mkdir -p ${erlang_build_path}
- tar z... | bash |
d_bash_10629 | ---
+++
@@ -6,19 +6,19 @@
# set up
echo "# metadatastore configuration
-# installed by csx_configuration
+# installed by csx2_configuration
# DO NOT EDIT
host: xf23id-broker
-database: datastore2
+database: datastore-23id2
port: 27017
timezone: US/Eastern
" > $ETC/metadatastore.yml
echo "# filestore confi... | bash |
d_bash_10630 | ---
+++
@@ -14,7 +14,7 @@
# check out branch because git-resource leaves us in `detached HEAD` state
git checkout $DEPLOYMENTS_BRANCH
git add .
- git commit -m"Concourse CI automated BOSH deployer :airplane:"
+ git commit -m"Concourse CI automated $IAAS BOSH deployer :airplane:"
fi
popd
| bash |
d_bash_10631 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-g++ -Wall -Wextra -std=c++11 -I /usr/local/include -L /usr/local/lib glsl_check.cpp -o glsl_check -lGL -lglfw3 -lX11 -lXcursor -lXrandr -lXi -lXxf86vm -lpthread -ldl -lXinerama
+g++ -Wall -Wextra -std=c++11 glsl_check.cpp -o glsl_check -lGL `pkg-config --cflags --libs glfw3` -l... | bash |
d_bash_10632 | ---
+++
@@ -24,6 +24,12 @@
debuntu-nodejs-installer --install
fi
+# Upgrade and/or install the tools that we'll be using and benchmarking.
+sudo npm install -g npm
+sudo npm install -g yarn
+sudo npm install -g npm-cache
+sudo npm install -g npm-fast-install
+
# Install the project itself, making sure that pot... | bash |
d_bash_10633 | ---
+++
@@ -1,4 +1,9 @@
#! /bin/bash
+
+DST="/usr/lib/cdstore"
+BIN="${DST}/cdstore.sh"
+
+bash ${BIN} stop || { echo "Stopping service failed"; exit 1; }
git branch -r | awk -F/ '/\/release\//{print $2"/"$3}' | xargs -I {} git push origin :{} \
|| { echo "Deleting obsolete release branches failed"; exit 1;... | bash |
d_bash_10634 | ---
+++
@@ -4,7 +4,7 @@
set -e
# check that we are in the expected directory
-cd `dirname $0`/..
+cd "$(dirname $BASH_SOURCE)"/..
# Some env variables used during development seem to make things break - set | bash |
d_bash_10635 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# This script will be run by bazel when the build process starts to
# generate key-value information that represents the status of the | bash |
d_bash_10636 | ---
+++
@@ -5,3 +5,8 @@
alias gr='cd $(git root)'
export EDITOR=vim
+
+# allow to define independent environment variables in ~/.environment
+if [ -f "$HOME/.environment" ]; then
+ source "$HOME/.environment"
+fi | bash |
d_bash_10637 | ---
+++
@@ -3,7 +3,6 @@
set -x
DOCKER_GRAPHDRIVER=${DOCKER_GRAPHDRIVER:-overlay}
-EXEC_DRIVER=${EXEC_DRIVER:-native}
# Set IP address in /etc/hosts for localregistry
IP=$(ifconfig eth0|grep "inet addr:"| cut -d: -f2 | awk '{ print $1}')
@@ -12,4 +11,4 @@
sh install_certs.sh localregistry
docker --daemon -... | bash |
d_bash_10638 | ---
+++
@@ -4,6 +4,7 @@
echo 'Python install'
(
+ sudo pip install biopython
sudo pip install ./python
sudo pip install pylint
| bash |
d_bash_10639 | ---
+++
@@ -8,6 +8,9 @@
# Optional variables:
# - BRANCH
# - PIPELINES_TO_UPDATE
+
+# FIXME: Remove after switched to AWS_ACCOUNT
+AWS_ACCOUNT=${AWS_ACCOUNT:-$MAKEFILE_ENV_TARGET}
set -u
set -e | bash |
d_bash_10640 | ---
+++
@@ -8,6 +8,8 @@
# handy keybindings
bindkey "^A" beginning-of-line
bindkey "^E" end-of-line
+bindkey '^[[1;5C' forward-word
+bindkey '^[[1;5D' backward-word
bindkey "^K" kill-line
bindkey "^R" history-incremental-search-backward
bindkey "^P" history-search-backward | bash |
d_bash_10641 | ---
+++
@@ -10,12 +10,12 @@
for i in dot umldoc
do
- find testdata/$i-ref -type f |
- grep -v CVS |
+ git ls-files testdata/*-ref |
sed "s/\(testdata\/$i-\)ref\(.*\)/\1ref\2 \1out\2/" |
while read refname outname
do
- if ! cmp -s $refname $outname
+ if [ -r "$outname" -a -r "$outname" ] && \
+ ! cmp -s ... | bash |
d_bash_10642 | ---
+++
@@ -4,8 +4,10 @@
# part 1
cd $TMPDIR_PATH
-curl -s 'https://cloud.github.com/downloads/taoliu/MACS/MACS-2.0.9-1.tar.gz' | tar -xz
-cd MACS-2.0.9/
+#curl -s 'https://cloud.github.com/downloads/taoliu/MACS/MACS-2.0.9-1.tar.gz' | tar -xz
+curl -s 'https://pypi.python.org/packages/source/M/MACS2/MACS2-2.1.0.2... | bash |
d_bash_10643 | ---
+++
@@ -2,8 +2,8 @@
KARAF_HOME=$1
INSTANCES_FILE=$KARAF_HOME/instances/instance.properties
PID=`cat $INSTANCES_FILE | grep "item.0.pid" | awk -F "=" '{print $2}'`
- kill $PID
- for i in {1..5};
+ $KARAF_HOME/bin/stop
+ for i in {1..20};
do
if ps -p $PID > /dev/null;... | bash |
d_bash_10644 | ---
+++
@@ -12,12 +12,11 @@
-es_host ves-hx-e4 \
-es_index_name igsr_beta
-perl $ES_SCRIPTS/sync_hx_hh.es.pl \
- -from_es_host ves-hx-e4 \
+perl $GCA_ELASTICSEARCH/scripts/sync_hx_hh.es.pl \
+ -from ves-hx-e4 \
-to ves-pg-e4 \
-to ves-oy-e4 \
- -repo hx_hh_sync \
- -snapshot_prefix igsr_snap \
+ -r... | bash |
d_bash_10645 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-cat input | $JOSHUA/bin/joshua-decoder -m 500m -config joshua.config 2> log | sort > output
+cat input | $JOSHUA/bin/joshua-decoder -m 500m -config joshua.config 2> log > output
if [[ $? -ne 0 ]]; then
exit 1 | bash |
d_bash_10646 | ---
+++
@@ -7,7 +7,7 @@
install() {
git clone git@github.com:Bedework/$1.git
cd $1/
- mvn -q clean package
+ mvn -q clean package
mvn -q install
cd ..
}
@@ -18,8 +18,9 @@
#install "bw-synch"
#install "bw-timezone-server"
#install "bw-webdav"
-install "bw-caldav"
+#install "bw-caldav"
#install "bw... | bash |
d_bash_10647 | ---
+++
@@ -2,13 +2,6 @@
set -e
set -x
-sudo apt-get install -y software-properties-common
-sudo apt-add-repository -y ppa:ansible/ansible
-sudo apt-get update
-sudo apt-get install -y ansible
-
-sudo ansible-playbook -i "localhost," -c local provisioning/ci.yml
-
-npm install
-npm run build
-npm test
+./go.sh np... | bash |
d_bash_10648 | ---
+++
@@ -1,11 +1,22 @@
mkdir -p build
+rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi
cd build
+rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi
export CMAKE_LIBRARY_PATH=$CMAKE_LIBRARY_PATH:/framework-dependencies/lib
+rc=$?; if [[ $rc != 0 ]]; then exit $rc; fi
export CMAKE_INCLUDE_PATH=$CMAKE_INCLUDE_PATH:/framewor... | bash |
d_bash_10649 | ---
+++
@@ -23,6 +23,8 @@
fi
done
precmd_functions+=(_powerline_precmd)
+ setopt promptpercent
+ setopt promptsubst
PS1='$(powerline-prompt --renderer_module=zsh_prompt --last_exit_code=$? --last_pipe_status="$pipestatus" left)'
RPS1='$(powerline-prompt --renderer_module=zsh_prompt --last_exit_code=$? --la... | bash |
d_bash_10650 | ---
+++
@@ -1,7 +1,10 @@
-export ST_PERL=/c/berrybrew/5.26.0_64_PDL
+export ST_PERL=/c/berrybrew/5.26.0.2_64_PDL
export GDAL_ROOT=/c/gdal_builds/gdal-2.1.2
export GDAL_ROOT=/c/gdal_builds/trunk/gdal
-export GDAL_ROOT=/c/gdal_builds/gdal-2.2.0
+# make sure the path is short, otherwise you will get
+# build failur... | bash |
d_bash_10651 | ---
+++
@@ -30,6 +30,9 @@
fi
}
+# Put .cabal/bin in PATH so that pandoc is availalbe when
+# running test through setup.py
+export PATH=${HOME}/.cabal/bin:${PATH}
check_status_of coverage run "--source=${module}" setup.py test
exit ${failures} | bash |
d_bash_10652 | ---
+++
@@ -6,6 +6,11 @@
virtualenv -p python3 env
. env/bin/activate
+
+# Print out the python versions for debugging purposes
+python --version
+pip --version
+
pip install -r scripts/requirements.txt
# do sanity checks on the examples and swagger | bash |
d_bash_10653 | ---
+++
@@ -1,9 +1,24 @@
#!/usr/bin/env bash
+
+# We can optionally pass in the desired repository and branch. For example,
+#
+# ./Modules/ThirdParty/MetaIO/UpdateFromUpstream.sh \
+# https://github.com/Kitware/MetaIO.git \
+# pull/30/head:large-uncompression
thirdparty_module_name='MetaIO'
-upstream_git_u... | bash |
d_bash_10654 | ---
+++
@@ -1,6 +1,12 @@
+#!/usr/bin/env sh
+
# From the coreutils Homebrew package:
#
# Commands also provided by MacOS have been installed with the prefix "g".
# If you need to use these commands with their normal names, you can add a
# "gnubin" directory to your PATH from your bashrc like:
PATH="/usr/local/o... | bash |
d_bash_10655 | ---
+++
@@ -18,6 +18,8 @@
zip "release/hexkit_path_fix_$3.zip" hexkit_path_fix.exe LICENSE README.md
}
+rm -f release/*
+rmdir release
mkdir -p release
make_zip windows 386 win32
make_zip windows amd64 win64 | bash |
d_bash_10656 | ---
+++
@@ -23,5 +23,5 @@
fi;
aws --profile iono --region $region s3 cp lambda.zip \
- s3://ionosphere-cfn-${region}/ionosphere-cfn-utils.zip
+ s3://ionosphere-cfn-${region}/ionosphere-cfn-utils.zip --acl public-read
done; | bash |
d_bash_10657 | ---
+++
@@ -1,5 +1,7 @@
#!/bin/sh
-cd /var/lib/patavi/src/server
+export PATAVI_TASK_SILENCE_TIMEOUT=20000
+
+cd /var/lib/patavi/src/server-cached
echo /var/lib/patavi/bin/lein with-profile production run "$@"
/var/lib/patavi/bin/lein with-profile production run "$@" | bash |
d_bash_10658 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-emacs -eval '(progn (find-file "literate.org") (org-html-export-to-html))' -kill
+emacs -eval "(progn (load-theme 'spacemacs-light) (find-file \"literate.org\") (org-html-export-to-html))" -kill
mv literate.html new.html
git co gh-pages | bash |
d_bash_10659 | ---
+++
@@ -5,7 +5,7 @@
curl http://curl.haxx.se/download/curl-7.44.0.tar.bz2 | tar xjf -
mkdir curl-build
cd curl-build
-../curl-7.44.0/configure --prefix=/rustroot \
+../curl-7.44.0/configure --prefix=/rustroot --with-ssl=/rustroot \
--disable-sspi --disable-gopher --disable-smtp --disable-smb \
--... | bash |
d_bash_10660 | ---
+++
@@ -4,4 +4,4 @@
source ~/.bashrc
-env TZ='America/Sao_Paulo' node $DIR/index.js
+env TZ='America/Sao_Paulo' node "$DIR/index.js" | tee -a "$DIR/cron.log" | bash |
d_bash_10661 | ---
+++
@@ -29,6 +29,19 @@
echo ${newArray[@]}
}
+ hasUniqueEntry(){
+ local tempArray=($(flipArray $@))
+
+ entry=${tempArray[0]}
+ array=(${tempArray[@]/${entry}/})
+
+ if [[ "${array[@]}" == *${entry}* ]]; then
+ echo false
+ else
+ echo true
+ fi
+ }
+
returnMaxLength(){
local array=($@)
... | bash |
d_bash_10662 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+cd "${0%/*}"
# Converts .mp3 and .wav samples to ogg
find samples \( -iname '*.wav' -o -iname '*.mp3' -o -iname '*.flac' \) -exec sh -c 'ffmpeg -i "$1" -codec:a libopus -ac 1 "${1%.*}.ogg"' find-sh {} \; -exec rm {} \; | bash |
d_bash_10663 | ---
+++
@@ -1,4 +1,28 @@
#!/usr/bin/env bash
+all=false
+
+read -d '' docstring <<EOF
+Usage:
+ clean.sh [( -a | --all )]
+ clean.sh ( -h | --help )
+ clean.sh ( --version )
+
+
+ Options:
+ -a, --all Delete all files, including results
+ -h, --help Show this help message and exits.
+ --versi... | bash |
d_bash_10664 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh -e
+test -n "$TRAVIS" && rm -f .session .emacs.desktop
echo "Attempting startup..."
${EMACS:=emacs} -nw --batch \
--eval '(let ((debug-on-error t) | bash |
d_bash_10665 | ---
+++
@@ -2,18 +2,6 @@
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $DIR/config.sh
-
-# Set DIST_DIR if given via command line
-if [[ ! $1 == "" ]]
-then
- if [[ ! -d $WORKING_DIR/$1 ]]
- then
- echo "$WORKING_DIR/$1 does not exist"
- exit 1
- fi
-
- DIST_DIR=$WORKING_DIR/$1/dist
-fi... | bash |
d_bash_10666 | ---
+++
@@ -9,3 +9,7 @@
# Jump to tag
alias vit='vim +tj\'
+
+function agvi {
+ vi $(agf $1)
+} | bash |
d_bash_10667 | ---
+++
@@ -7,7 +7,7 @@
localdb="$HOME/tmp/History"
-if [ ! -e "$localdb" ] || [ ! -z "`find $localdb -mmin +5`" ] ; then
+if [ ! -e "$localdb" ] || [ ! -z "`find $localdb -mtime +30s`" ] ; then
cp -f ~/.config/google-chrome/Default/History ~/tmp/
fi
| bash |
d_bash_10668 | ---
+++
@@ -2,6 +2,7 @@
# Jesus Vazquez
truncate -s 0 specfull.txt
cat Makefile | grep -v 'spec/lib/varnish_spec.rb'| \
+grep -v 'spec/models/asset_spec.rb'| \
grep -v 'services/user-mover/spec/user_mover_spec.rb'| \
grep 'rb'| sed -e 's/^\s*//' -e '/^$/d' | sed '/^#/ d' | sed 's/\\//' | sed 's/\s.*$//' > temp.t... | bash |
d_bash_10669 | ---
+++
@@ -4,7 +4,7 @@
while true
do
ps -C ruby,pg_dump,pg_restore,gof3r --no-headers -o comm,rss,vsz,pcpu \
- | awk '{print "'"source=$DYNO"' sample#" $1 "_rss=" $2 " sample#" $1 "_vsz=" $3 " sample#" $1 "_pcpu=" $4}'
+ | awk '{print "'"source=$DYNO"' sample#" $1 "_rss=" $2 "kB sample#" $1 "_vsz... | bash |
d_bash_10670 | ---
+++
@@ -1,29 +1,31 @@
# Store the current location
ORIGDIR="$(pwd)"
-# Resolve package specific variables.
-PACKAGE_VERSION="${1##*-}" ; export PACKAGE_VERSION
-rest="${1%-*}"
-PACKAGE_NAME="${rest##*/}" ; export PACKAGE_NAME
+# Create directory locations
+OPMS="${OPMDIR}/var/opm/opm... | bash |
d_bash_10671 | ---
+++
@@ -14,5 +14,6 @@
npm install grunt-template-jasmine-istanbul --save-dev
npm install grunt-template-jasmine-requirejs --save-dev
npm install grunt-text-replace --save-dev
+npm install load-grunt-config --save-dev
npm install load-grunt-tasks --save-dev
npm install time-grunt --save-dev | bash |
d_bash_10672 | ---
+++
@@ -15,7 +15,7 @@
# Install Homebrew recipes.
if [[ "$(type -P brew)" ]]; then
- recipes=(git node tree sl lesspipe id3tool nmap git-extras)
+ recipes=(git sl lesspipe git-extras)
list="$(to_install "${recipes[*]}" "$(brew list)")"
if [[ "$list" ]]; then | bash |
d_bash_10673 | ---
+++
@@ -7,7 +7,7 @@
apt-get update -qq
-apt-get install -y python3 curl python3-dev python-virtualenv qemu-kvm libvirt-bin virtinst jq file build-essential libpq-dev systemd cgpt cryptsetup-bin
+apt-get install -y python3 curl python3-dev python-virtualenv qemu-kvm libvirt-bin virtinst jq file build-essentia... | bash |
d_bash_10674 | ---
+++
@@ -1,5 +1,5 @@
#! /bin/sh
-wget https://dist.ipfs.io/go-ipfs/v0.5.0/go-ipfs_v0.5.0_linux-amd64.tar.gz -O /tmp/go-ipfs_linux-amd64.tar.gz
+wget https://dist.ipfs.io/go-ipfs/v0.6.0/go-ipfs_v0.6.0_linux-amd64.tar.gz -O /tmp/go-ipfs_linux-amd64.tar.gz
tar -xvf /tmp/go-ipfs_linux-amd64.tar.gz
export PATH=$PATH... | bash |
d_bash_10675 | ---
+++
@@ -2,8 +2,7 @@
LOCALDIR=web/
REMOTEDIR=/var/www/resources/minsel/
-EXTRA='' #"--size-only"
-FLAGS="--recursive --times --compress --verbose --exclude=server-config.js --exclude=.DS_Store --exclude=.git --exclude=node_modules --log-file=push.log ${EXTRA}"
+FLAGS="--recursive --checksum --compress --verbos... | bash |
d_bash_10676 | ---
+++
@@ -19,3 +19,4 @@
export PGE_HOME=$BIGTRANSLATE_HOME/pge
export PCS_HOME=$BIGTRANSLATE_HOME/pcs
export FMPROD_HOME=$BIGTRANSLATE_HOME/tomcat/webapps/fmprod/WEB-INF/classes/
+export TIKA_SERVER_CLASSPATH=$BIGTRANSLATE_HOME/tika-server/language-keys/:$BIGTRANSLATE_HOME/tika-server/tika-server-1.13.jar | bash |
d_bash_10677 | ---
+++
@@ -3,7 +3,7 @@
COMMON_LISP=$1
top_srcdir=$2
-LD_LIBRARY_PATH=.libs:$LD_LIBRARY_PATH exec $COMMON_LISP --script <<EOF
+LD_LIBRARY_PATH=../.libs:$LD_LIBRARY_PATH exec $COMMON_LISP --script <<EOF
(defvar *top-srcdir* "$2")
(load "$2/share/make-aarx.lisp")
EOF | bash |
d_bash_10678 | ---
+++
@@ -4,4 +4,4 @@
if [ $? -ne 0 ]; then exit 1; fi;
-elm-make --warn src/Main.elm
+elm-make --yes --warn src/Main.elm | bash |
d_bash_10679 | ---
+++
@@ -7,7 +7,6 @@
python -u ping.py ping.conf slave > ping.slave.2.out 2>&1 &
python -u ping.py ping.conf slave > ping.slave.3.out 2>&1 &
python -u ping.py ping.conf slave > ping.slave.4.out 2>&1 &
-python -u ping.py ping.conf slave > ping.slave.5.out 2>&1 &
python -u resolve.py resolve.conf > resolve.out... | bash |
d_bash_10680 | ---
+++
@@ -18,15 +18,15 @@
git commit -m "Documentation update for v$VERSION." || echo "No docs updated!"
git push
+echo "# Git tag & push..."
+git tag -a "v$VERSION" -m "v$VERSION"
+git push --tags
+
echo "Git update major branch..."
git checkout $MAJOR_BRANCH
git merge master
git push
git checkout master
... | bash |
d_bash_10681 | ---
+++
@@ -7,6 +7,7 @@
mkdir data
cd data
+mkdir oxford102
echo "Downloading flower images..."
| bash |
d_bash_10682 | ---
+++
@@ -12,13 +12,17 @@
git clone https://github.com/galaxyproject/galaxy.git $galaxy_dir
fi
+cp -r tools/ $galaxy_dir/tools
+
# Prepare galaxy tools
./src/prepare_galaxy_tools.sh $galaxy_dir
# Prepare galaxy config
cp config/* $galaxy_dir/config/
-mkdir $galaxy_dir/dependency_dir
+if [ ! -d $gala... | bash |
d_bash_10683 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.15%2B10/OpenJDK11U-jdk_x64_linux_hotspot_11.0.15_10.tar.gz"
;;
java17)
- echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk-17.0.2%2B8/OpenJDK17U-jdk_x64_linux_hotspot_17.0.2_8.tar... | bash |
d_bash_10684 | ---
+++
@@ -11,6 +11,8 @@
then
if [ `scl -l 2> /dev/null | grep rh-maven33` != "" ]
then
+ # gulp-cli is needed to build the dashboard
+ scl enable rh-nodejs4 "npm install --global gulp-cli"
scl enable rh-maven33 rh-nodejs4 "mvn $*"
else
mvn $* | bash |
d_bash_10685 | ---
+++
@@ -15,7 +15,7 @@
echo "$(lsblk -l -o NAME)"
if [ ! -z $(lsblk -l -o NAME | grep $VOL_DEV_NAME) ]; then
- sudo /usr/sbin/mkfs.ext4 -F /dev/$VOL_DEV_NAME
+ sudo mkfs.ext4 -F /dev/$VOL_DEV_NAME
sudo mount /dev/$VOL_DEV_NAME $DEST
sudo touch $DEST/new_data
if [ -f $DEST/new_data ]; then | bash |
d_bash_10686 | ---
+++
@@ -7,6 +7,7 @@
for requiredFile in \
content.md \
github-repo \
+ license.md \
maintainer.md \
; do
failed=''
@@ -14,7 +15,7 @@
case "${repo%/}" in
scratch) continue ;;
esac
- if [ ! -e "$repo/$requiredFile" ]; then
+ if [ ! -s "$repo/$requiredFile" ]; then
failed+=" $repo"
fi
... | bash |
d_bash_10687 | ---
+++
@@ -1,3 +1,6 @@
+# give us access to ^Q
+stty -ixon
+
# vi mode
bindkey -v
bindkey "^F" vi-cmd-mode
@@ -10,4 +13,5 @@
bindkey "^P" history-search-backward
bindkey "^Y" accept-and-hold
bindkey "^N" insert-last-word
+bindkey "^Q" push-line-or-edit
bindkey -s "^T" "^[Isudo ^[A" # "t" for "toughguy" | bash |
d_bash_10688 | ---
+++
@@ -15,7 +15,7 @@
"@CMAKE_SOURCE_DIR@/src/libs/utility/text.c" \
"@CMAKE_SOURCE_DIR@/src/plugins/base64/"*.{c,cpp} \
"@CMAKE_SOURCE_DIR@/src/plugins/camel/camel.c" \
- "@CMAKE_SOURCE_DIR@/src/plugins/directoryvalue/"*{.c,cpp} \
+ "@CMAKE_SOURCE_DIR@/src/plugins/directoryvalue/"*.{c,cpp} \
"@CMAKE_SOUR... | bash |
d_bash_10689 | ---
+++
@@ -3,8 +3,3 @@
defaults write com.apple.Terminal 'Window Settings' -dict-add 'Stone Ridge' '{ CommandString = "/usr/local/bin/python /Users/stoneridge/stoneridge/srworker.py --config /Users/stoneridge/stoneridge.ini --log /Users/stoneridge/logs/srworker.log"; ProfileCurrentVersion = "2.02"; RunCommandAsShel... | bash |
d_bash_10690 | ---
+++
@@ -27,6 +27,7 @@
--safebrowsing-disable-auto-update \
--user-data-dir=/tmp \
--disable-gpu \
+ --disable-dev-shm-usage \
--remote-debugging-port=9222 \
--remote-debugging-address=0.0.0.0
| bash |
d_bash_10691 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/bash
-shells=(bash zsh)
+if [[ -n ${1+x} ]]; then
+ shells=("$@")
+else
+ shells=(bash zsh)
+fi
cd "${0%/*}/tests"
@@ -13,17 +17,18 @@
for shell in "${shells[@]}"; do
if command -v "$shell" >/dev/null; then
testing_shells+=("$shell")
+ printf 'shell "%s": version ... | bash |
d_bash_10692 | ---
+++
@@ -9,8 +9,8 @@
echo -e "Publishing to Sonatype OSS Maven Repository...\n"
- gradle uploadArchives -PnexusUsername="${SONATYPE_USERNAME}"
- -PnexusPassword="${SONATYPE_PASSWORD}"
+ gradle uploadArchives -PnexusUsername="${SONATYPE_USERNAME}" -PnexusPassword="${SONATYPE_PASSWORD}"
+
RETVAL=$?
... | bash |
d_bash_10693 | ---
+++
@@ -3,7 +3,7 @@
###############################################################################
# Install the DotGov theme for iTerm
-open "themes/DotGov.itermcolors"
+open "iterm/themes/DotGov.itermcolors"
# Don’t display the annoying prompt when quitting iTerm
defaults write com.googlecode.iterm2 Pr... | bash |
d_bash_10694 | ---
+++
@@ -4,7 +4,7 @@
INSTALL="$HOME/.local/share/icons/xscreensaver/timetunnel"
if ! test -d "${INSTALL}"
then
- mkdir "${INSTALL}"
+ mkdir -p "${INSTALL}"
fi
# Check if any of the images are missing.
if test -f "${INSTALL}/tardis.xpm" && test -f "${INSTALL}/whohead1.xpm" && test -f "${INSTALL}/whologo... | bash |
d_bash_10695 | ---
+++
@@ -1,14 +1,39 @@
#!/bin/bash
-if python -m jiocloud.orchestrate pending_update
+# Exit codes:
+# 0: Yup, there's an update
+# 1: No, no updates
+# 2: Could not reach etcd, so we don't know
+# 3: Could not reach etcd, but we also haven't been initialised ourselves.
+python -m jiocloud.orchestrate pending_u... | bash |
d_bash_10696 | ---
+++
@@ -25,7 +25,7 @@
git reset HEAD~
git add .
- git ci -C $SHA
+ git ci -C $SHA --reset-author
git co $1
git rebase master | bash |
d_bash_10697 | ---
+++
@@ -3,6 +3,9 @@
# Stop old instances
polybar-msg cmd quit
+
+# Load mpd password
+export MPD_PASSWORD="$(cat "$HOME/.mpd/password.txt")"
# Launch bars
for bar in "$@"; do | bash |
d_bash_10698 | ---
+++
@@ -1,4 +1,4 @@
-export EDITOR='vim'
+export EDITOR='nvim'
# grc overides for ls
# Made possible through contributions from generous benefactors like | bash |
d_bash_10699 | ---
+++
@@ -19,7 +19,7 @@
# Install protobuf3.
# Select protobuf version.
-PROTOBUF_VERSION="3.0.0-beta-2"
+PROTOBUF_VERSION="3.0.0"
PROTOBUF_URL="https://github.com/google/protobuf/releases/download/v${PROTOBUF_VERSION}/protoc-${PROTOBUF_VERSION}-linux-x86_64.zip"
PROTOBUF_ZIP=$(basename "${PROTOBUF_URL}")
@... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.